Bug 1029339 - [RHEVM][webadmin] check if network profile exists on DC before creating VM
[RHEVM][webadmin] check if network profile exists on DC before creating VM
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Linux
high Severity medium
: ---
: 3.3.0
Assigned To: Lior Vernia
yeylon@redhat.com
network
:
Depends On:
Blocks: 3.3snap3
  Show dependency treegraph
 
Reported: 2013-11-12 03:27 EST by Martin Pavlik
Modified: 2016-04-18 02:59 EDT (History)
10 users (show)

See Also:
Fixed In Version: is24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:13:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 (155.42 KB, image/png)
2013-11-12 03:27 EST, Martin Pavlik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21251 None None None Never

  None (edit)
Description Martin Pavlik 2013-11-12 03:27:35 EST
Created attachment 822780 [details]
screenshot 1

Description of problem:

In New Virtual Machine dialog:

1)
If user assigns profile to NIC and switches DC of new VM on General tab. Profile is removed from the NIC -> that is OK

2)
If user assigns profile to NIC and switches DC of new VM in New Virtual Machine dialog on OTHER than General TAB in advanced options (e.g. Host tab) profile is not removed and error is shown:

Error while executing action:

aaaaaaa:

    The specified Logical Network doesn't exist in the current Cluster.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.3.0-0.32.beta1.el6ev

How reproducible:
100%

Steps to Reproduce:
1. Have two active DCs with cluster in each
2. Virtual Machines -> New VM -> Fill in VM name, assign rhevm profile to nic1
3. Click on Show Advanced Options
4. Go to Host tab -> switch Cluster -> Click OK

Actual results:
Error appears after confirmation of Create new VM dialog

Expected results:
Red rectangle pointing on General tab -> in general tab user is pointed to select empty profile or profile that actually exists

Additional info:
suggestion: in case default rhevm profile is selected, it might be just silently replaced with default rhevm profile of appropriate DC
Comment 1 Lior Vernia 2013-11-13 17:27:10 EST
Fixed the bug that enabled choosing a vNIC profile from a different DC than that picked. Did not meddle with the general behavior, so when changing DC the choice of profiles might still change in an unexpected manner, a different bug may be opened for that (but it would be much more minor).
Comment 2 awinter 2013-11-21 03:20:09 EST
Verified!

The network profile become empty as Lior suggested.
Comment 4 Itamar Heim 2014-01-21 17:13:31 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:21:24 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.